#1
  1. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    1
    Rep Power
    0

    Programming with TK Library in Ruby


    hi everybody

    Iam trying to program a simple GUI in Ruby by using TK library.
    But when I used require' tk' to load it , This error was happened .

    C:/Program Files/NetBeans 6.7.1/ruby2/jruby-1.2.0/lib/ruby/1.8/tk.rb:6:in `require': no such file to load -- tcltklib (LoadError)
    from C:/Program Files/NetBeans 6.7.1/ruby2/jruby-1.2.0/lib/ruby/1.8/tk.rb:6
    from C:/Program Files/NetBeans 6.7.1/ruby2/jruby-1.2.0/lib/ruby/1.8/tk.rb:3:in `require'
    from C:\Documents and Settings\Yousef\My Documents\NetBeansProjects\RubyApplication\lib\main.rb:3

    and it will not continue , please help


    thanks in Advance
  2. #2
  3. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Jan 2004
    Location
    Constant Limbo
    Posts
    989
    Rep Power
    363
    Do you have the TK libraries installed on your system? Ruby does not require them when it is installed, only if you intend to use them.
    Try verifying that you have correctly installed TK (and related libraries) on your system.
    True happiness is not getting what you want, it's wanting what you've already got.

    My Blog

IMN logo majestic logo threadwatch logo seochat tools logo